Better guidance for users when creating registrations for exising names
Description

The strategy followed in #7523 effectively blocks creating registrations for existing names, which makes not much sense.
We need to allow creating registrations for existing names and have to guide the user. Two situations need to distinguished and
explained to the user:

1. Creating a registration for the name which has been chosen.
2. Creating a registration only for type designations. This involves to create a blocking registration in case the existing name is not
yet registered.

Related issues:
Related to EDIT - bug #7523: RegistrationWorkingSetEditor: existing name comb... Rejected

Associated revisions

Revision cf9¢3618 - 07/11/2018 11:59 AM - Andreas Kohlbecker
fix #7546 implementing workflow for creating registrations for existing names:
e Label with explanations for users

e Select element offering to create registrations for name and types or for tapes only
e creation of blocking registrations in case the name of a type only registration is not registered yet

Revision 72ad71d3 - 07/11/2018 01:04 PM - Andreas Kohlbecker

ref #7546 preventing from adding a second type only registration before the first one has a typification

Revision 52ecbe10 - 07/11/2018 01:15 PM - Andreas Kohlbecker

ref #7546 RegistrationldentifierMinter can check for matching identifiers

Revision 3bcd130a - 08/02/2018 02:42 PM - Andreas Kohlbecker

ref #7546 Label with explanations for users improved

History

#1 - 07/10/2018 03:36 PM - Andreas Kohlbecker

- Related to bug #7523: RegistrationWorkingSetEditor: existing name combobox must only offer names which are not yet registered in phycobank
added

#2 - 07/11/2018 11:56 AM - Andreas Kohlbecker

- Subject changed from Dialog to guide users when creating registrations for exising names to Better guidance for users when creating registrations for
exising names

- Status changed from New to In Progress

A dialog is not the best solution, adding the required ui elements to the footer section of the workingset editor is much clearer.

#3 - 07/11/2018 01:04 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|cf9c36f82e17e2f5fb613ef6132994544¢c523a81.
https://dev.e-taxonomy.eu/redmine/issues/7523
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/cf9c36f82e17e2f5fb613ef6132994544c523a81

#4 - 07/11/2018 01:07 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
done and ready for review.

When reviewing please have extra critical eyeball on the text close to the bottom of the workingset editor which starts with "For most names that
already exist in the system it ...". Is this clear and well understandable?

#5 - 07/12/2018 01:48 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Brauchen wir alle 3 Satze. Der 2. ist schwer verstandlich. Bin alles mit unserer native Speakerin durchgegangen. lhr Vorschlag, wenn alles prizipiell
so bleiben sollte:

For most names that already exist in the system, it is only possible to create a registration covering type designations.

Only in those rare cases where the citation of the working set and the nomenclatural reference of a name are the same is it possible to create a new
registration covering the name as well as the type designation.

In all other cases please choose "New" from the main menu and start a registration for the nomenclatural reference of the name to be registered.

Wie gesagt, der 2. Satz ist fir Normaluser kaum nachvollziebar.

#6 - 07/12/2018 02:07 PM - Andreas Kohlbecker

Dieser 2. Satz ist vielleicht wirklich Gberfllssig, er beleuchtet lediglich die Hintergiinde zu Satz 1.

Ok, streichen wir ihn!

#7 - 08/02/2018 02:42 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Label with explanations updated according to suggestion.
